## org.apache.ivy.osgi.obr.filter
Class RequirementFilterParser

    java.lang.Object
      org.apache.ivy.osgi.obr.filter.RequirementFilterParser

    public class RequirementFilterParser

extends java.lang.Object

Constructor Summary
`RequirementFilterParser()`

Method Summary
`static RequirementFilter` `parse(java.lang.String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequirementFilterParser

    public RequirementFilterParser()

Method Detail

### parse

    public static RequirementFilter parse(java.lang.String text)
                                   throws java.text.ParseException

  Throws:
    `java.text.ParseException`